From: Ole Streicher <debian@liska.ath.cx>
Date: Fri, 16 Dec 2016 09:23:38 +0100
Subject: [ds9] Use FHS documentation directory

Instead putting the documentation into the common shared dir of ds9,
debian wants it in /usr/share/doc. This requires the help browser to
be adjusted.
---
 ds9/library/ds9.tcl  |  1 +
 ds9/library/help.tcl | 18 +++++++++---------
 ds9/library/util.tcl |  3 +--
 3 files changed, 11 insertions(+), 11 deletions(-)

diff --git a/ds9/library/ds9.tcl b/ds9/library/ds9.tcl
index 6472775..f52766b 100644
--- a/ds9/library/ds9.tcl
+++ b/ds9/library/ds9.tcl
@@ -177,6 +177,7 @@ switch $ds9(wm) {
     x11 {
 	set ds9(root) [file normalize [file join [file dirname [info script]] ..]]
 	lappend auto_path $ds9(root)/library
+	set ds9(doc) "/usr/share/doc/saods9"
     }
     aqua {
 	# set to absolute path
diff --git a/ds9/library/help.tcl b/ds9/library/help.tcl
index dff8bc7..5092ee6 100644
--- a/ds9/library/help.tcl
+++ b/ds9/library/help.tcl
@@ -8,15 +8,15 @@ proc HelpDef {} {
     global help
     global ds9
 
-    set help(refman) "$ds9(root)/doc/ref/index.html"
-    set help(command) "$ds9(root)/doc/ref/command.html"
-    set help(userman) "$ds9(root)/doc/user/index.html"
-    set help(faq) "$ds9(root)/doc/faq.html"
-    set help(release) "$ds9(root)/doc/release/r8.1.html"
-    set help(helpdesk) "$ds9(root)/doc/helpdesk.html"
-    set help(story) "$ds9(root)/doc/story.html"
-    set help(ack) "$ds9(root)/doc/acknowledgment.html"
-    set help(vo) "$ds9(root)/doc/ref/vo.html"
+    set help(refman) "$ds9(doc)/ref/index.html"
+    set help(command) "$ds9(doc)/ref/command.html"
+    set help(userman) "$ds9(doc)/user/index.html"
+    set help(faq) "$ds9(doc)/faq.html"
+    set help(release) "$ds9(doc)/release/r8.1.html"
+    set help(helpdesk) "$ds9(doc)/helpdesk.html"
+    set help(story) "$ds9(doc)/story.html"
+    set help(ack) "$ds9(doc)/acknowledgment.html"
+    set help(vo) "$ds9(doc)/ref/vo.html"
 
     set help(authors) "William Joye (Smithsonian Astrophysical Observatory)\nEric Mandel (Smithsonian Astrophysical Observatory)\nSteve Murray (Smithsonian Astrophysical Observatory)\n"
     set help(about) "SAOImageDS9\nVersion $ds9(version,display)\n\nAuthors\n$help(authors)\nSAOImage DS9 development has been made possible by funding from NASA's Applied Information Systems Research Program, Chandra X-ray Science Center (CXC), and the High Energy Astrophysics Science Archive Center (HEASARC). Additional funding was provided by the JWST Mission office at Space Telescope Science Institute to improve capabilities for 3D data visualization.\n\nColormaps\nh5utils: Steven Johnson (MIT)\nViridis: Eric Firing (UW)\nCubehelix: Dave Green (Cavendish)\nGist: David Munro (LLNL)\nTopographic: Tom Patterson (US National Park Service) "
diff --git a/ds9/library/util.tcl b/ds9/library/util.tcl
index c8159df..3994230 100644
--- a/ds9/library/util.tcl
+++ b/ds9/library/util.tcl
@@ -846,8 +846,7 @@ proc AboutBox {} {
     canvas $f.c -background white -height 450 -width 500
     pack $f.c -fill both -expand true
     
-    set ed(sun) [image create photo -format gif -file $ds9(root)/doc/sun.gif]
-    
+    set ed(sun) [image create photo -format gif -file $ds9(root)/sun.gif]
     $f.c create image 0 0 -image $ed(sun) -anchor nw
     $f.c create text 120 22 -text $help(about) -anchor nw -width 350
 
